Skip to main content
GET
/
audits
/
{auditId}
/
information-requests
/
{requestId}
/
comments
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.listCommentsForInformationRequest({
    auditId: "<id>",
    requestId: "<id>",
  });

  console.log(result);
}

run();
{
  "results": {
    "data": [
      {
        "id": "65fc81a3359c8508c9af880f",
        "text": "Some comment",
        "creationDate": "2024-03-07T21:25:56.000Z",
        "modificationDate": "2024-03-07T21:25:56.000Z",
        "deletionDate": "2024-03-07T21:25:56.000Z",
        "email": "vlad@vantaroo.com",
        "authorName": "Vlad Vantaroo"
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "Njg5MGU0NzNkY2UxZGE1Z",
      "endCursor": "Njg5MGU0NzNkY2UxZGE1Z"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required
requestId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of comments to return per page. Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from a previous response. Provide to fetch the next page of comments. A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

changedSinceDate
string<date-time>

Includes all comments that have changed since changedSinceDate. Considers creationDate, modificationDate, and deletionDate timestamps when determining changes.

Response

200 - application/json

Ok

results
object
required